Webhooks
Delete a webhook
Delete a webhook, effective immediately.
DELETE
/
api
/
v2
/
webhooks
/
{webhook_id}
from hai_agents import Client
client = Client()
client.webhooks.delete_webhook(webhook_id=webhook_id)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
await client.webhooks.deleteWebhook({ webhookId });
curl -X DELETE https://agp.eu.hcompany.ai/api/v2/webhooks/$WEBHOOK_ID \
-H "Authorization: Bearer $HAI_API_KEY"
Path parameters
string
required
The webhook’s
id (UUID).Response
204 No Content.
from hai_agents import Client
client = Client()
client.webhooks.delete_webhook(webhook_id=webhook_id)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
await client.webhooks.deleteWebhook({ webhookId });
curl -X DELETE https://agp.eu.hcompany.ai/api/v2/webhooks/$WEBHOOK_ID \
-H "Authorization: Bearer $HAI_API_KEY"
Errors
| Status | Cause |
|---|---|
404 | Not found, or not in your organization. |
Was this page helpful?
⌘I
from hai_agents import Client
client = Client()
client.webhooks.delete_webhook(webhook_id=webhook_id)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
await client.webhooks.deleteWebhook({ webhookId });
curl -X DELETE https://agp.eu.hcompany.ai/api/v2/webhooks/$WEBHOOK_ID \
-H "Authorization: Bearer $HAI_API_KEY"